Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Enum PaymentCategoryPurpose1Code

- java.lang.Object
- - java.lang.Enum<PaymentCategoryPurpose1Code>
  - - org.kapott.hbci.sepa.jaxb.pain_008_002_01.PaymentCategoryPurpose1Code

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PaymentCategoryPurpose1Code>`

    public enum PaymentCategoryPurpose1Code
    extends java.lang.Enum<PaymentCategoryPurpose1Code>

Java class for PaymentCategoryPurpose1Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="PaymentCategoryPurpose1Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CORT"/>
         <enumeration value="SALA"/>
         <enumeration value="TREA"/>
         <enumeration value="CASH"/>
         <enumeration value="DIVI"/>
         <enumeration value="GOVT"/>
         <enumeration value="INTE"/>
         <enumeration value="LOAN"/>
         <enumeration value="PENS"/>
         <enumeration value="SECU"/>
         <enumeration value="SSBE"/>
         <enumeration value="SUPP"/>
         <enumeration value="TAXS"/>
         <enumeration value="TRAD"/>
         <enumeration value="VATX"/>
         <enumeration value="HEDG"/>
         <enumeration value="INTC"/>
         <enumeration value="WHLD"/>
       </restriction>
     </simpleType>

### Enum Constant Summary

Enum Constants
`CASH`
`CORT`
`DIVI`
`GOVT`
`HEDG`
`INTC`
`INTE`
`LOAN`
`PENS`
`SALA`
`SECU`
`SSBE`
`SUPP`
`TAXS`
`TRAD`
`TREA`
`VATX`
`WHLD`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PaymentCategoryPurpose1Code` `fromValue​(java.lang.String v)`
`java.lang.String` `value()`
`static PaymentCategoryPurpose1Code` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PaymentCategoryPurpose1Code[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CORT

    public static final PaymentCategoryPurpose1Code CORT

#### SALA

    public static final PaymentCategoryPurpose1Code SALA

#### TREA

    public static final PaymentCategoryPurpose1Code TREA

#### CASH

    public static final PaymentCategoryPurpose1Code CASH

#### DIVI

    public static final PaymentCategoryPurpose1Code DIVI

#### GOVT

    public static final PaymentCategoryPurpose1Code GOVT

#### INTE

    public static final PaymentCategoryPurpose1Code INTE

#### LOAN

    public static final PaymentCategoryPurpose1Code LOAN

#### PENS

    public static final PaymentCategoryPurpose1Code PENS

#### SECU

    public static final PaymentCategoryPurpose1Code SECU

#### SSBE

    public static final PaymentCategoryPurpose1Code SSBE

#### SUPP

    public static final PaymentCategoryPurpose1Code SUPP

#### TAXS

    public static final PaymentCategoryPurpose1Code TAXS

#### TRAD

    public static final PaymentCategoryPurpose1Code TRAD

#### VATX

    public static final PaymentCategoryPurpose1Code VATX

#### HEDG

    public static final PaymentCategoryPurpose1Code HEDG

#### INTC

    public static final PaymentCategoryPurpose1Code INTC

#### WHLD

    public static final PaymentCategoryPurpose1Code WHLD

### Method Detail

#### values

    public static PaymentCategoryPurpose1Code[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PaymentCategoryPurpose1Code c : PaymentCategoryPurpose1Code.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PaymentCategoryPurpose1Code valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public java.lang.String value()

#### fromValue

    public static PaymentCategoryPurpose1Code fromValue​(java.lang.String v)